package cn.com.poc.knowledge.convert;

import cn.com.poc.knowledge.entity.BizMemberKnowledgeRelationEntity;
import cn.com.poc.knowledge.model.BizMemberKnowledgeRelationModel;

public class MemberKnowledgeRelationConvert {

    public static BizMemberKnowledgeRelationEntity modelToEntity(BizMemberKnowledgeRelationModel model) {
        BizMemberKnowledgeRelationEntity bizMemberKnowledgeRelationEntity = new BizMemberKnowledgeRelationEntity();
        bizMemberKnowledgeRelationEntity.setId(model.getId());
        bizMemberKnowledgeRelationEntity.setMemberId(model.getMemberId());
        bizMemberKnowledgeRelationEntity.setMemberType(model.getMemberType());
        bizMemberKnowledgeRelationEntity.setKdId(model.getKdId());
        bizMemberKnowledgeRelationEntity.setIsDeleted(model.getIsDeleted());
        bizMemberKnowledgeRelationEntity.setCreator(model.getCreator());
        bizMemberKnowledgeRelationEntity.setCreatedTime(model.getCreatedTime());
        bizMemberKnowledgeRelationEntity.setModifier(model.getModifier());
        bizMemberKnowledgeRelationEntity.setModifiedTime(model.getModifiedTime());
        bizMemberKnowledgeRelationEntity.setSysVersion(model.getSysVersion());
        return bizMemberKnowledgeRelationEntity;
    }

    public static BizMemberKnowledgeRelationModel entityToModel(BizMemberKnowledgeRelationEntity entity) {
        BizMemberKnowledgeRelationModel bizMemberKnowledgeRelationModel = new BizMemberKnowledgeRelationModel();
        bizMemberKnowledgeRelationModel.setId(entity.getId());
        bizMemberKnowledgeRelationModel.setMemberId(entity.getMemberId());
        bizMemberKnowledgeRelationModel.setMemberType(entity.getMemberType());
        bizMemberKnowledgeRelationModel.setKdId(entity.getKdId());
        bizMemberKnowledgeRelationModel.setIsDeleted(entity.getIsDeleted());
        bizMemberKnowledgeRelationModel.setCreator(entity.getCreator());
        bizMemberKnowledgeRelationModel.setCreatedTime(entity.getCreatedTime());
        bizMemberKnowledgeRelationModel.setModifier(entity.getModifier());
        bizMemberKnowledgeRelationModel.setModifiedTime(entity.getModifiedTime());
        bizMemberKnowledgeRelationModel.setSysVersion(entity.getSysVersion());
        return bizMemberKnowledgeRelationModel;
    }


}
